package com.unis.flowable.common.enums;

import lombok.Getter;

/**资格类型代码
 * @Auther:张新亮
 * @Date: 2019/7/26 0026 16:47
 * @Description:
 */
@Getter
public enum FlowableEnum {
    /**
     * 审核，枚举类对象
     */
    //承储资格（粮食类）
    cczg_lsl(1, "WSSB_SJCBLCCSQB"),
    cczg_syzwyl(2, "承储资格（食用植物油类）");
    private Integer code;
    private String codeValue;

    FlowableEnum(Integer code, String codeValue) {
        this.code = code;
        this.codeValue = codeValue;
    }

    public static String getCodeValue(int code) {
        switch (code) {
            case 1:
                return FlowableEnum.cczg_lsl.getCodeValue();
            case 2:
                return FlowableEnum.cczg_syzwyl.getCodeValue();
            default:
                return "";
        }
    }
}